> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Editor

> Gets details about a specific editor.

`Unary` · [`Editors`](/docs/api-reference/generated/editor/overview)

Gets details about a specific editor.

Use this method to:

* View editor information
* Get editor configuration

### Examples

* Get editor details:

  Retrieves information about a specific editor.

  ```yaml theme={null}
  id: "d2c94c27-3b76-4a42-b88c-95a85e392c68"
  ```

## Endpoint

```text theme={null}
POST /api/gitpod.v1.EditorService/GetEditor
```

Send a Bearer token as described in [Authentication](/docs/api-reference#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

<CodeGroup>
  ```bash cURL theme={null}
  export ONA_HOST=https://app.ona.com
  export ONA_API_KEY=<your-token>

  curl --request POST \
    --url "$ONA_HOST/api/gitpod.v1.EditorService/GetEditor" \
    --header "Authorization: Bearer $ONA_API_KEY" \
    --header "Content-Type: application/json" \
    --data '{
    "id": "<id>"
  }'
  ```

  ```python Python theme={null}
  import gitpod.v1.editor_pb2 as editor_pb2
  from ona_sdk import create_client_from_env

  ona = create_client_from_env()
  request = editor_pb2.GetEditorRequest(
      id="<id>",
  )
  response = ona.services.editor.get_editor(request)
  print(response)
  ```

  ```typescript TypeScript theme={null}
  import { create } from "@bufbuild/protobuf";
  import { createClientFromEnv } from "@gitpod/sdk";
  import { GetEditorRequestSchema } from "@gitpod/sdk/gitpod/v1/editor_pb";

  async function main() {
    const ona = createClientFromEnv();
    const request = create(GetEditorRequestSchema, {
      id: "<id>",
    });
    const response = await ona.services.editor.getEditor(request);
    console.log(response);
  }

  main().catch(console.error);
  ```

  ```go Go theme={null}
  package main

  import (
  	"context"
  	"fmt"
  	"log"

  	"connectrpc.com/connect"
  	"github.com/gitpod-io/gitpod-sdk-go/sdk"
  	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
  )

  func main() {
  	ona, err := sdk.NewFromEnv()
  	if err != nil {
  		log.Fatal(err)
  	}

  	request := connect.NewRequest(&gitpodpb.GetEditorRequest{
  		Id: "<id>",
  	})
  	response, err := ona.Services.Editor.GetEditor(context.Background(), request)
  	if err != nil {
  		log.Fatal(err)
  	}
  	fmt.Println(response.Msg)
  }
  ```

  ```json Request body theme={null}
  {
    "id": "<id>"
  }
  ```
</CodeGroup>

## Request

`gitpod.v1.GetEditorRequest`

| Field | Type   | Required | Description                                                     |
| ----- | ------ | -------- | --------------------------------------------------------------- |
| `id`  | string | Yes      | id is the ID of the editor to get Constraints: `required=true`. |

## Response

`gitpod.v1.GetEditorResponse`

| Field    | Type                             | Required | Description                                              |
| -------- | -------------------------------- | -------- | -------------------------------------------------------- |
| `editor` | [Editor](#type-gitpod-v1-editor) | Yes      | editor contains the editor Constraints: `required=true`. |

## Related types

<a id="type-gitpod-v1-editor" />

<Accordion title="Editor">
  `gitpod.v1.Editor`

  | Field                      | Type                                                     | Required | Description                                                      |
  | -------------------------- | -------------------------------------------------------- | -------- | ---------------------------------------------------------------- |
  | `id`                       | string                                                   | Yes      | Constraints: `required=true, string.uuid=true`.                  |
  | `name`                     | string                                                   | Yes      | Constraints: `required=true`.                                    |
  | `shortDescription`         | string                                                   | No       |                                                                  |
  | `installationInstructions` | string                                                   | Yes      | Constraints: `required=true`.                                    |
  | `iconUrl`                  | string                                                   | No       |                                                                  |
  | `urlTemplate`              | string                                                   | Yes      | Constraints: `required=true`.                                    |
  | `alias`                    | string                                                   | No       |                                                                  |
  | `versions`                 | array of [EditorVersion](#type-gitpod-v1-editor-version) | No       | versions contains the list of available versions for this editor |
</Accordion>

<a id="type-gitpod-v1-editor-version" />

<Accordion title="EditorVersion">
  `gitpod.v1.EditorVersion`

  | Field     | Type   | Required | Description                                                                                              |
  | --------- | ------ | -------- | -------------------------------------------------------------------------------------------------------- |
  | `version` | string | Yes      | version is the version string of the editor Examples for JetBrains: 2025.2 Constraints: `required=true`. |
</Accordion>
